.table {
    width: 100%;
    border-collapse: collapse;
    border: rem(1) solid $grey300;
    border-radius: rem(2);
    margin-bottom: 0;
    table-layout: fixed;

    & + .table {
        margin-top: rem(16);
    }
    th,td {
        border-top: rem(1) solid $grey300;
        border-left: 0;
        border-right: 0;
        text-align: center;
        padding: 0.15rem 0.5rem;
        vertical-align: middle;

    }
    th {
        background-color: #f6f7f8;
        line-height: rem(24);
        color: $black;
        font-weight: 500;
        font-size: rem(13);

        &.vertical-top { 
            vertical-align: top;
        }
        &.required {
            span, label {
                position: relative;
                color: $black;
                &::before {
                    position: absolute;
                    left: -6px;
                    top: -3px;
                    content: "";
                    display: inline-block;
                    width: rem(4);
                    height: rem(4);
                    border-radius: 50%;
                    background-color: $error;
                }
            }
        }

        & + td {
            border-right: 0;
        }
    }
    td {
        font-size: rem(13);
        color: $black;
        border-right: rem(1) solid $grey100; // 230725
        

        &.status {
            vertical-align: middle;
        }
        &:last-child{
            border-right: 0
        }

        .name-search-box {
            display: flex;
            flex-wrap: wrap;
            align-items: center;
            .name-tag-wrap {
                width: calc(100% - #{rem(65)});
                .name-tag {
                    height: rem(28);
                    display: inline-flex;
                    align-items: center;
                }
            }
        }
        .btn-name-search {
            margin-right: rem(10);
        }
    }
    thead {
        tr {
            th {
                border: rem(1) solid $grey300;
            }
        }
    }
    tbody {
        tr {
            th{
                padding-top: rem(8);
                vertical-align: top;
                text-align: left;
            }
            td {
                line-height: rem(25);
            }
            &:last-child{
                td {
                    border-bottom: 0
                }
            }
        }
    }

    .group-cell{
        cursor: pointer;
        background-color: $primary50;

        &.close{
            .icon-up{
                transform: rotate(-180deg);
                transition: all 0.2s ease;
            }
        }

    }

    &.layout-table{
        border: 0;
        th{
            
            background-color: transparent;
            font-weight: $bold;
        }
        th, td{
            border: 0;
            padding: rem(12) rem(8);
        }
    }

    &.list-table{
        th, td{
           line-height: 1;
        }
    }
}

.sf-table-wrap{
	overflow: auto;

    .table-fixed-header{
        border-collapse: separate;
        border-top: 0;
        
        tr{

            &:hover{
                td{
                    background-color: $secondary50;
                }
            }
           
            th{
                border-left:0;
            }
            &:first-child{
                td{
                    border-top: 0;
                }
            }

        }
    }

    .bg-row{
        tr{
            &:nth-child(2n){
                td{
                    background-color: $grey100;
                }
                &:hover{
                    td{
                        background-color: $secondary50;
                    }
                }
            }
        }
    }
}
.fixedHeader {
	position: sticky;
	top: 0;
    border-top: rem(1) solid $grey300 !important;
    border-bottom: rem(1) solid $grey300 !important;
    z-index: 5;
}
